\documentclass[a4paper, 12pt,oneside,titlepage]{report}
\usepackage[italian]{babel}
\usepackage{amsmath}
\usepackage{complexity}
\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage[pdftex]{graphicx} 
\usepackage{a4wide} 
\usepackage{longtable} 
\usepackage{pdflscape} 
\usepackage{caption}
\usepackage{bookmark}
\usepackage{float} 
\usepackage[tablegrid,nochapter, owncaptions]{vhistory}
\usepackage[nottoc]{tocbibind}
\usepackage[toc,page]{appendix}
\usepackage{pdfpages} 
\usepackage[rightcaption]{sidecap}
\usepackage{cite}
\usepackage{setspace}
\usepackage[]{acronym} 
\usepackage[pdftex,scale={.8,.8}]{geometry} 
\usepackage{layout}
\usepackage{shellesc}
\usepackage{subfigure} 
\usepackage[toc]{glossaries} 
\usepackage[left,pagewise,modulo]{lineno}
\usepackage{hyperref}
\usepackage{metainfo}
\usepackage[pagestyles,raggedright]{titlesec}
\usepackage{etoolbox}
\usepackage{
	array, 
	booktabs,
	dcolumn, 
	rotating,
	shortvrb,
	units,
	url,
	lastpage,
	longtable,
	lscape,
	qtree,
	skmath,	
}

\definecolor{lGray}{RGB}{204,204,204}

\setlength{\parindent}{0pt}
\setlength{\parskip}{.5\baselineskip}

\patchcmd{\chapter}{plain}{short}{}{}

\newpagestyle{long}{%
  \sethead[\thepage][][\chaptername\ \thechapter:\
  \chaptertitle]{\chaptername\ \thechapter:\ \chaptertitle}{}{\thepage}
  \headrule
}

\newpagestyle{short}{%
  \sethead[\thepage][][]{}{}{\thepage}
  \headrule
}
\usepackage{xparse}
\usepackage{enumitem}
\setlist[description]{
  font={\sffamily\bfseries},
  labelsep=0pt,
  labelwidth=\transcriptlen,
  leftmargin=\transcriptlen,
}

\newlength{\transcriptlen}

\NewDocumentCommand {\setspeaker} { mo } {%
  \IfNoValueTF{#2}
  {\expandafter\newcommand\csname#1\endcsname{\item[#1:]}}%
  {\expandafter\newcommand\csname#1\endcsname{\item[#2:]}}%
  \IfNoValueTF{#2}
  {\settowidth{\transcriptlen}{#1}}%
  {\settowidth{\transcriptlen}{#2}}%
}

% Easiest to put the longest name last...
\setspeaker{inte}[Intervistatore]
\setspeaker{tes}[Tesista]

% How much of a gap between speakers and text?
\addtolength{\transcriptlen}{5em}%

\begin{document}
\pagenumbering{roman}
\pagestyle{short}

\input{include/intestazione}
\tableofcontents
\pagestyle{long}

\input{include/history}
\pagenumbering{arabic}

\input{include/panoramica}
\input{include/workflow}
\input{include/background}
\input{include/stakeholder}
\input{include/questionari}
\input{include/interviste}

\appendix
\input{include/transcript}
\end{document}